This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Patch: new contrib script, auto-fetch


Recently I've noticed that there is some version skew in the automake
versions that gcc developers are using.  And, I've always found it
kind of a pain to get the exactly correct version, as usually whatever
distro I'm running has one that is either too old or too new (as
defined by install.texi).

So, I wrote this script to download and install the needed versions of
autoconf and automake.  The idea is that it would be updated in sync
with install.texi.

The script will make a new directory, download the needed files,
unpack them, and build them.  Then you can add $DIR/install/bin to
your $PATH and have the correct auto* tools.  The script assumes some
GNU-ish tools -- GNU tar and wget.

Comments?  Ok to commit?

Tom

Index: ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* auto-fetch: New file.

Index: auto-fetch
===================================================================
RCS file: auto-fetch
diff -N auto-fetch
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ auto-fetch 23 Aug 2005 16:43:22 -0000
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+# Fetch the correct versions of the autotools, build them, and install
+# them.
+# Usage: auto-fetch DIR
+# DIR is where all the work will be done.  This script will create it;
+# it must not yet exist.
+
+BASE=ftp://ftp.gnu.org/pub/gnu
+AMDIR=automake-1.9.3
+AMFILE=$AMDIR.tar.bz2
+AUTOMAKE=$BASE/automake/$AMFILE
+ACDIR=autoconf-2.59
+ACFILE=$ACDIR.tar.bz2
+AUTOCONF=$BASE/autoconf/$ACFILE
+
+WHERE=$1
+
+if test -e $WHERE; then
+   echo "auto-fetch: \"$WHERE\" exists" 1>&2
+   exit 1
+fi
+
+mkdir -p $WHERE || exit 1
+cd $WHERE
+
+wget $AUTOMAKE $AUTOCONF || exit 1
+
+tar jxf $AMFILE || exit 1
+tar jxf $ACFILE || exit 1
+
+mkdir install
+
+cd $ACDIR
+(./configure --prefix=`cd ../install && pwd` && make all install) || exit 1
+
+cd ../$AMDIR
+(./configure --prefix=`cd ../install && pwd` && make all install) || exit 1


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]